Bug 829714 - Review Request: drupal6-imagecache - Image Cache module for drupal6
Review Request: drupal6-imagecache - Image Cache module for drupal6
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Shawn Iwinski
Fedora Extras Quality Assurance
:
Depends On: 829067
Blocks: 829718
  Show dependency treegraph
 
Reported: 2012-06-07 07:48 EDT by Anderson Silva
Modified: 2014-02-16 06:24 EST (History)
4 users (show)

See Also:
Fixed In Version: drupal6-imagecache-2.0-6.rc1.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-01 18:23:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
shawn: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
drupal6-imagecache-review.txt (7.51 KB, text/plain)
2013-02-24 01:35 EST, Shawn Iwinski
no flags Details
phpci.log (27.75 KB, text/x-log)
2013-02-24 01:36 EST, Shawn Iwinski
no flags Details

  None (edit)
Description Anderson Silva 2012-06-07 07:48:32 EDT
Spec URL: http://people.redhat.com/~ansilva/drupal6-imagecache.spec
SRPM URL: http://people.redhat.com/~ansilva/drupal6-imagecache-2.0-4.rc1.fc16.src.rpm
Description: ImageCache allows you to setup presets for image processing.
Fedora Account System Username: afsilva
Comment 1 Shawn Iwinski 2013-02-24 01:35:56 EST
Created attachment 701900 [details]
drupal6-imagecache-review.txt

Generated by fedora-review 0.3.1 (b71abc1) last change: 2012-10-16
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review --mock-config fedora-rawhide-x86_64 --bug 829714
Comment 2 Shawn Iwinski 2013-02-24 01:36:19 EST
Created attachment 701901 [details]
phpci.log
Comment 3 Shawn Iwinski 2013-02-24 01:41:18 EST
> [!]: Package installs properly.

This will be resolved by drupal6-imageapi (bug 829067).

> [!]: If (and only if) the source package includes the text of the license(s)
>      in its own file, then that file, containing the text of the license(s)
>      for the package is included in %doc.
>      Note: Cannot find LICENSE.txt in rpm(s)

MUST: Add LICENSE.txt to %doc


===== SHOULD items =====

> [!]: Packages should try to preserve timestamps of original installed files.

Please consider adding the "-p" (or "--preserve-timestamps") flag to your install command.



Per phpci, please add "php-date" and "php-pcre" requirements.
Comment 5 Shawn Iwinski 2013-03-22 15:29:17 EDT
17c17
< Release: 4.rc1%{?dist}
---
> Release: 5.rc1%{?dist}
26c26
< Requires:  drupal6, drupal6-imageapi
---
> Requires:  drupal6, drupal6-imageapi, php-date, php-pcre
40c40
< install -d %{buildroot}%{drupal_modules}/%{modname}
---
> install -p -d %{buildroot}%{drupal_modules}/%{modname}
48d47
< # Remember to include other documentation text here as well
50c49
< # Remember to exclude all documentation texts from above
---
> %doc %{drupal_modules}/%{modname}/LICENSE.txt
51a51
> %exclude %{drupal_modules}/%{modname}/LICENSE.txt
54a55,58
> * Fri Mar 22 2013 Anderson Silva <ansilva@redhat.com> - 2.0-5.rc1
> - Add LICENSE.txt
> - Add php-date, php-pcre requirements
> 


All issues fixed.  No blockers.


===== APPROVED =====
Comment 6 Anderson Silva 2013-03-22 17:24:06 EDT
New Package SCM Request
=======================
Package Name: drupal6-imagecache
Short Description: ImageCache allows you to setup presets for image processing.
Owners: afsilva siwinski
Branches: f17 f18 f19 el6
InitialCC:
Comment 7 Shawn Iwinski 2013-03-23 00:44:05 EDT
Slight modification to include el5.


New Package SCM Request
=======================
Package Name: drupal6-imagecache
Short Description: ImageCache allows you to setup presets for image processing.
Owners: afsilva siwinski
Branches: f17 f18 f19 el5 el6
InitialCC:
Comment 8 Gwyn Ciesla 2013-03-23 09:14:08 EDT
Git done (by process-git-requests).
Comment 9 Fedora Update System 2013-03-23 11:08:12 EDT
drupal6-imagecache-2.0-5.rc1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/drupal6-imagecache-2.0-5.rc1.el6
Comment 10 Fedora Update System 2013-03-23 11:11:15 EDT
drupal6-imagecache-2.0-5.rc1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/drupal6-imagecache-2.0-5.rc1.fc17
Comment 11 Fedora Update System 2013-03-23 11:11:44 EDT
drupal6-imagecache-2.0-5.rc1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/drupal6-imagecache-2.0-5.rc1.fc18
Comment 12 Fedora Update System 2013-03-23 14:18:07 EDT
drupal6-imagecache-2.0-5.rc1.el6 has been pushed to the Fedora EPEL 6 testing repository.
Comment 13 Fedora Update System 2013-04-01 18:23:43 EDT
drupal6-imagecache-2.0-5.rc1.fc17 has been pushed to the Fedora 17 stable repository.
Comment 14 Fedora Update System 2013-04-01 18:33:09 EDT
drupal6-imagecache-2.0-5.rc1.fc18 has been pushed to the Fedora 18 stable repository.
Comment 15 Fedora Update System 2014-01-26 14:26:27 EST
drupal6-imagecache-2.0-6.rc1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/drupal6-imagecache-2.0-6.rc1.fc20
Comment 16 Fedora Update System 2014-01-26 14:26:43 EST
drupal6-imagecache-2.0-6.rc1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/drupal6-imagecache-2.0-6.rc1.el6
Comment 17 Fedora Update System 2014-01-26 14:26:58 EST
drupal6-imagecache-2.0-6.rc1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/drupal6-imagecache-2.0-6.rc1.el5
Comment 18 Fedora Update System 2014-01-26 14:27:08 EST
drupal6-imagecache-2.0-6.rc1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/drupal6-imagecache-2.0-6.rc1.fc19
Comment 19 Volker Fröhlich 2014-01-27 13:18:18 EST
*** Bug 656179 has been marked as a duplicate of this bug. ***
Comment 20 Fedora Update System 2014-02-05 22:47:21 EST
drupal6-imagecache-2.0-6.rc1.fc20 has been pushed to the Fedora 20 stable repository.
Comment 21 Fedora Update System 2014-02-05 22:54:24 EST
drupal6-imagecache-2.0-6.rc1.fc19 has been pushed to the Fedora 19 stable repository.
Comment 22 Fedora Update System 2014-02-16 06:23:52 EST
drupal6-imagecache-2.0-6.rc1.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 23 Fedora Update System 2014-02-16 06:24:23 EST
drupal6-imagecache-2.0-6.rc1.el5 has been pushed to the Fedora EPEL 5 stable repository.

Note You need to log in before you can comment on or make changes to this bug.